Bug 966444 - ER: Suggestions for improvements on the new 4.7 charts
ER: Suggestions for improvements on the new 4.7 charts
Status: ON_DEV
Product: RHQ Project
Classification: Other
Component: Core UI, Usability (Show other bugs)
4.7
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On: 976926
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:00 EDT by Stian Lund
Modified: 2013-07-12 05:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Improvements to the new RHQ charting in 4.7 Reason: Improvements needed to make charting more similar to how it used to work earlier. Result (if any):
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stian Lund 2013-05-23 06:00:55 EDT
Description of problem:
Enhancement Request:
Suggestions for improvements on the new 4.7 charts

Version-Release number of selected component (if applicable):
4.7

ER for improvements to the new RHQ charting, posted on the forums and suggested to post a ER by Mike Thompson.

Forum: https://community.jboss.org/thread/228427?tstart=0

A couple of these are just the same functionality that was in the old charts and that I miss in the new ones. Although they are awesome there are a few things missing IMO.

 
1 - Be able to de/select the various resources and redraw the chart (like it was possible earlier), for instance by clicking the colored "icon" for a resource.

2 - Possibility to see the full resource hierarchy, for example by hovering over a resource icon. This is very useful for when you have several graphs and it could be hard to see what is what. Earlier it was possible to "guess" this by the member inventory list but since they are now drawn horizonally not vertically (am I making sense here?) it is hard to know the placement of each drawn resource.

3 - Possible to save the charts, like a PNG. This was possible earlier, but now you have to mess around with PrintScrn and cropping. This is very useful for sending to management-types who like purdy charts 

4 - Redraw the chart when scaling the JS sub-window. It can be redrawn now by "resetting" so not a big issue but would be in the "Nice to have" category.

5 - Possible to highlight one of the graphs when for instance hovering over a resource icon, and possibly "greying" out the others to be easier to compare a single graph. In the "Nice To Have" category.
Comment 1 Mike Thompson 2013-06-21 19:33:55 EDT
#1 is now possible via https://bugzilla.redhat.com/show_bug.cgi?id=976926
Comment 2 Stian Lund 2013-07-02 09:25:57 EDT
In 4.8 the bar-charts (for single resources) do not scale to the size of the dynamic sub-window when it's redrawn, so rescaling of charts is even more important IMO. 

The Line charts are actually able to scale when the chart is redrawn however.

Actually not sure if it was like this in 4.7 as well when I think about it..?

Note You need to log in before you can comment on or make changes to this bug.